For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Bulk Syncs
      • POSTCreate Bulk Sync
      • GETGet Bulk Sync
      • PUTUpdate Bulk Sync
      • DELDelete Bulk Sync
      • POSTActivate Bulk Sync
      • POSTCancel Bulk Sync
      • POSTStart Bulk Sync Execution
      • GETGet Bulk Sync Status
      • GETGet Bulk Source
      • GETGet Bulk Destination
Logo
Log inBook a demo
API ReferenceBulk Sync

Delete Bulk Sync

DELETE
https://app.polytomic.com/api/bulk/syncs/:id
DELETE
/api/bulk/syncs/:id
$curl -X DELETE https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"

Deletes a bulk sync, cancelling any running executions.

Any execution that is currently running is cancelled before the sync record is removed.

🚧 All associated schedules, schema configurations, and execution history are deleted along with the sync.

Was this page helpful?
Previous

Activate Bulk Sync

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Query parameters

refresh_schemasbooleanOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error